NisusWrtTextInternal::HeaderFooter Struct Reference

Internal structure: use to store a header. More...

## Public Member Functions

| HeaderFooter ()
| Constructor.

## Public Attributes

MWAWHeaderFooter::Type | m_type
| the header type
MWAWHeaderFooter::Occurrence | m_occurrence
| the header occurrence
int | m_page
| the page
long | m_paragraph [2]
| the paragraph position in the header zone (first and last)
long | m_textParagraph
| the text position
int | m_unknown
| a unknown value
bool | m_parsed
| a flag to know if the footnote is parsed
std::string | m_extra
| some extra debuging information

## Friends

std::ostream & | operator<< (std::ostream &o, HeaderFooter const &hf)
| operator<<

## Detailed Description

Internal structure: use to store a header.

## Constructor & Destructor Documentation

## HeaderFooter()

NisusWrtTextInternal::HeaderFooter::HeaderFooter | ( |  | ) |

inline

Constructor.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | HeaderFooter const & | hf )

friend

operator<<

## Member Data Documentation

## m_extra

std::string NisusWrtTextInternal::HeaderFooter::m_extra

some extra debuging information

Referenced by HeaderFooter(), operator<<, and NisusWrtText::readHeaderFooter().

## m_occurrence

MWAWHeaderFooter::Occurrence NisusWrtTextInternal::HeaderFooter::m_occurrence

the header occurrence

Referenced by HeaderFooter(), operator<<, and NisusWrtText::readHeaderFooter().

## m_page

int NisusWrtTextInternal::HeaderFooter::m_page

the page

Referenced by HeaderFooter().

## m_paragraph

long NisusWrtTextInternal::HeaderFooter::m_paragraph[2]

the paragraph position in the header zone (first and last)

Referenced by HeaderFooter(), operator<<, and NisusWrtText::readHeaderFooter().

## m_parsed

bool NisusWrtTextInternal::HeaderFooter::m_parsed

mutable

a flag to know if the footnote is parsed

Referenced by HeaderFooter().

## m_textParagraph

long NisusWrtTextInternal::HeaderFooter::m_textParagraph

the text position

Referenced by HeaderFooter(), operator<<, and NisusWrtText::readHeaderFooter().

## m_type

MWAWHeaderFooter::Type NisusWrtTextInternal::HeaderFooter::m_type

the header type

Referenced by HeaderFooter(), operator<<, and NisusWrtText::readHeaderFooter().

## m_unknown

int NisusWrtTextInternal::HeaderFooter::m_unknown

a unknown value

Referenced by HeaderFooter(), operator<<, and NisusWrtText::readHeaderFooter().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx